% S-Lang mode is just a superset of C mode so make sure it is loaded.
!if (keymap_p ("C")) () = evalfile ("cmode");

create_syntax_table ("SLANG");
define_syntax ("%", "", '%', "SLANG");
define_syntax ("([{", ")]}", '(', "SLANG");
define_syntax ('"', '"', "SLANG");
define_syntax ('\'', '\'', "SLANG");
define_syntax ('\\', '\\', "SLANG");

define slang_mode ()
{
   c_mode ();
   setmode("SL", 2 | 8);
   use_syntax_table ("SLANG");
   runhooks("slang_mode_hook");
}

